gr::lte::remove_cp_cvc_impl Class Reference

`#include <remove_cp_cvc_impl.h>`

Inheritance diagram for gr::lte::remove_cp_cvc_impl:
[legend]

## Public Member Functions

| remove_cp_cvc_impl (int fftl, std::string key, std::string &name)
| ~remove_cp_cvc_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::lte::remove_cp_cvc
typedef boost::shared_ptr< remove_cp_cvc > | sptr
Static Public Member Functions inherited from gr::lte::remove_cp_cvc
static sptr | make (int fftl, std::string key, std::string name="remove_cp_cvc")
| Return a shared_ptr to a new instance of lte::remove_cp_cvc.

## Constructor & Destructor Documentation

## remove_cp_cvc_impl()

gr::lte::remove_cp_cvc_impl::remove_cp_cvc_impl | ( | int | fftl,
|  | std::string | key,
|  | std::string & | name )

## ~remove_cp_cvc_impl()

gr::lte::remove_cp_cvc_impl::~remove_cp_cvc_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::lte::remove_cp_cvc_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::lte::remove_cp_cvc_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- remove_cp_cvc_impl.h